Summary:	Printing libraries for GNOME
Name:		gnome-print
Version: 	0.20
Release: 8
Epoch: 1
License:	LGPL
Group:		System Environment/Base
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-root

Conflicts:      gnumeric < 0.53

PreReq:	gnome-libs
PreReq:	urw-fonts
PreReq:	ghostscript-fonts

PreReq:		libxml

# Red Hat patches

# Helix patches

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.
The gnome-print package contains libraries and fonts that are needed by
GNOME applications wanting to print.

You should install the gnome-print package if you intend on using any of
the GNOME applications that can print. If you would like to develop GNOME
applications that can print you will also need to install the gnome-print
devel package.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Group:          Development/Libraries
Requires: gnome-print = %{version}

%description devel
#%description -n gnprintd
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.
The gnome-print-devel package includes the libraries and include files that
you will need when developing applications that use the GNOME printing 
facilities.

You should install the gnome-print-devel package if you would like to 
develop GNOME applications that will use the GNOME printing facilities.
You don't need to install the gnome-print-devel package if you just want 
to use the GNOME desktop environment.

%prep
%setup -q

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
HOME=$RPM_BUILD_ROOT make install prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{_localstatedir}
cd fonts
install -c *.font $RPM_BUILD_ROOT%{_prefix}/share/fonts

strip $RPM_BUILD_ROOT/usr/bin/* ||:

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig || true
%{_prefix}/bin/gnome-font-install --system --scan --no-copy \
        --afm-path=%{_prefix}/share/fonts/afms \
        --pfb-path=%{_prefix}/share/fonts/pfbs \
	--pfb-assignment=ghostscript,/usr/share/ghostscript/fonts \
	--afm-assignment=ghostscript,/usr/share/ghostscript/fonts \
        --pfb-assignment=ghostscript,/usr/share/fonts/default/Type1 \
	--afm-assignment=ghostscript,/usr/share/fonts/default/Type1 \
        %{_prefix}/share/fonts > /dev/null 2>&1 || true

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/lib/lib*.so.*
%{_prefix}/bin/*
%{_prefix}/share/locale/*/*/*
%{_prefix}/share/fonts/afms/adobe/*
%{_prefix}/share/fonts/*.font
%config %{_prefix}/share/gnome-print/profiles/Postscript.profile

%files devel
%defattr(-, root, root)

%{_prefix}/lib/lib*.so
%{_prefix}/lib/*.a
%{_prefix}/lib/*.la
%{_prefix}/lib/*.sh
%{_prefix}/include/*/*

%changelog
* Sat Aug 19 2000 Preston Brown <pbrown@redhat.com>
- added "|| true" to %%post so that if font-install screws up we don't get a
  bad exit status.  gnome-font-install expects that the directory specified by
  HOME env. var is writable, but it isn't always if you install with 'sudo'
  or the equivalent.  bad. bad. bad.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- redirect %%post script output to /dev/null

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- Spec file fixes

